apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert -v -f docker-compose.k8s.yml -o kubernetes/
    kompose.version: 1.31.0 (HEAD)
  creationTimestamp: null
  labels:
    io.kompose.service: neo4j
  name: neo4j
  namespace: micorr-prod
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: neo4j
      namespace: micorr-prod
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert -v -f docker-compose.k8s.yml -o kubernetes/
        kompose.version: 1.31.0 (HEAD)
      creationTimestamp: null
      labels:
        io.kompose.network/micorr-default: "true"
        io.kompose.service: neo4j
        namespace: micorr-prod
    spec:
      containers:
        - env:
            - name: EXTENSION_SCRIPT
              value: /bootstrap_data.sh
            - name: NEO4J_AUTH
              value: neo4j/secret
            - name: NEO4J_apoc_export_file_enabled
              value: "true"
            - name: NEO4J_dbms_allow__upgrade
              value: "true"
            - name: NEO4J_dbms_default__database
              value: neo4j
            - name: NEO4J_dbms_memory_heap_initial__size
              value: 1024M
            - name: NEO4J_dbms_memory_heap_max__size
              value: 1024M
            - name: NEO4J_dbms_security_procedures_allowlist
              value: gds.*
            - name: NEO4J_dbms_security_procedures_unrestricted
              value: gds.*
            - name: NEO4J_dbms_security_procedures_whitelist
              value: apoc.*
            - name: NEO4J_unsupported_dbms_tx__log_fail__on__corrupted__log__files
              value: "false"
          image: registry.gitlab.com/heg-arc/micorr/micorr/neo4j:latest
          name: neo4j
          resources: {}
          volumeMounts:
            - mountPath: /data
              name: neo4j-data
              subPath: neo4j-data
      restartPolicy: Always
      volumes:
        - name: neo4j-data
          hostPath:
            type: Directory
            path: /gluster/gv0/micorr-prod
status: {}
